# permissions for end users to view applicationregistrations.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    app.kubernetes.io/name: clusterrole
    app.kubernetes.io/instance: applicationregistration-viewer-role
    app.kubernetes.io/component: rbac
    app.kubernetes.io/created-by: authz-operator
    app.kubernetes.io/part-of: authz-operator
    app.kubernetes.io/managed-by: kustomize
  name: applicationregistration-viewer-role
rules:
- apiGroups:
  - webservices.cern.ch
  resources:
  - applicationregistrations
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - webservices.cern.ch
  resources:
  - applicationregistrations/status
  verbs:
  - get
